### Class

# Clutter Grab

#### Description

    final class Clutter.Grab : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### clutter_grab_activate

Activates a grab onto its assigned actor. Events will be propagated as usual inside its hierarchy. Activating an already active grab will have no side effects.

###### clutter_grab_dismiss

Removes a grab. If this grab is effective, crossing events will be generated to indicate the change in event redirection.

###### clutter_grab_get_seat_state

Returns the windowing-level state of the grab, the devices that are guaranteed to be grabbed.

###### clutter_grab_is_revoked

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Clutter.Grab:revoked

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ClutterGrabClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.